Main Page Class Hierarchy Data Structures File List Data Fields Globals

# PVAsyncInformationalEvent Class Reference

`#include <pv_engine_observer_message.h>`

## Public Methods
| PVAsyncInformationalEvent (PVEventType aEventType, PVExclusivePtr aEventData=NULL, uint8 *aLocalBuffer=NULL, int32 aLocalBufferSize=0)
| PVAsyncInformationalEvent (PVEventType aEventType, OsclAny *aContext, PVInterface *aEventExtInterface, PVExclusivePtr aEventData=NULL, uint8 *aLocalBuffer=NULL, int32 aLocalBufferSize=0)
| ~PVAsyncInformationalEvent ()
PVResponseType | GetResponseType () const
PVEventType | GetEventType () const
void | GetEventData (PVExclusivePtr &aPtr) const

## Detailed Description

PVAsyncInformationalEvent Class

PVAsyncInformationalEvent is used to pass unsolicited informational indications to the user. Additional information can be tagged based on the specific event

## Constructor & Destructor Documentation

PVAsyncInformationalEvent::PVAsyncInformationalEvent | ( | PVEventType | aEventType,
|  | PVExclusivePtr | aEventData = NULL,
|  | uint8 * | aLocalBuffer = NULL,
|  | int32 | aLocalBufferSize = 0
| ) | `[inline]`

| Constructor for PVAsyncInformationalEvent

PVAsyncInformationalEvent::PVAsyncInformationalEvent | ( | PVEventType | aEventType,
|  | OsclAny * | aContext,
|  | PVInterface * | aEventExtInterface,
|  | PVExclusivePtr | aEventData = NULL,
|  | uint8 * | aLocalBuffer = NULL,
|  | int32 | aLocalBufferSize = 0
| ) | `[inline]`

| Constructor with context and event extension interface

PVAsyncInformationalEvent::~PVAsyncInformationalEvent | ( |  | ) | `[inline]`

| Destructor

## Member Function Documentation

void PVAsyncInformationalEvent::GetEventData | ( | PVExclusivePtr & | aPtr | ) | const`[inline]`

| Returns: Returns the opaque data asociated with the event.

PVEventType PVAsyncInformationalEvent::GetEventType | ( |  | ) | const`[inline]`

| Returns: Returns the Event type that has been received

PVResponseType PVAsyncInformationalEvent::GetResponseType | ( |  | ) | const`[inline]`

| WILL BE DEPRECATED SINCE IT IS NOT BEING USED. CURRENTLY RETURNING 0. Returns: Returns the type of Response we get

The documentation for this class was generated from the following file:

- pv_engine_observer_message.h